<div>
  <mat-form-field appearance="standard">
    <mat-label>Filter</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
  </mat-form-field>
  
  <table mat-table [dataSource]="dataSource" >
  
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> Id </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <!-- Supplier Column -->
    <ng-container matColumnDef="supplier">
      <th mat-header-cell *matHeaderCellDef> Proveedor </th>
      <td mat-cell *matCellDef="let element"> {{element.supplier}} </td>
    </ng-container>

    <!-- Status Column -->
    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> Estado </th>
      <td mat-cell *matCellDef="let element"> {{element.status}} </td>
    </ng-container>
  
  
    <!-- CreateAt Column -->
    <ng-container matColumnDef="createdAt">
      <th mat-header-cell *matHeaderCellDef> Fecha Creacion </th>
      <td mat-cell *matCellDef="let element"> {{element.createdAt | date:'medium'}} </td>
    </ng-container>
  
    <!-- Reception Date Column -->
    <ng-container matColumnDef="receptionDate">
      <th mat-header-cell *matHeaderCellDef> Fecha entrega </th>
      <td mat-cell *matCellDef="let element"> {{element.receptionDate | date:'medium'}} </td>
    </ng-container>
  
    <!-- Order cost Date Column -->
    <ng-container matColumnDef="orderCost">
      <th mat-header-cell *matHeaderCellDef> Precio de orden </th>
      <td mat-cell *matCellDef="let element"> {{element.orderCost | currency:'USD'}} </td>
    </ng-container>
  
    <!-- Transport cost Column -->
    <ng-container matColumnDef="transportCost">
      <th mat-header-cell *matHeaderCellDef> Costo de transporte </th>
      <td mat-cell *matCellDef="let element"> {{element.transportCost | currency:'USD'}} </td>
    </ng-container>
  
    <!-- Total Column -->
    <ng-container matColumnDef="total">
      <th mat-header-cell *matHeaderCellDef> Total </th>
      <td mat-cell *matCellDef="let element"> {{element.total | currency:'USD'}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onOrderClicked(row)"></tr>
  
    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>
  
</div>